Subject: External Diff Tool

From: Eric Stegemoller <[email-masked]>
Date: Wed, 29 Jul 2009 16:16:31 -0400

Hello,

First off I am using Git for windows. I am trying to configure git to 
use an external diff tool. I am nearly there. I have it launching the 
correct program when "git difftool testfile.txt" is invoked. However, it 
appears the file paths are not being passed. I suspect I may not be 
using the $LOCAL and $REMOTE variables correctly. Below is how I have 
configured things thus far. Any help or suggestions would be greatly 
appreciated.

  git config --global diff.tool TestTool
  git config --global difftool.TestTool.cmd ""c:/TestTool/test.exe" 
"$LOCAL" "$REMOTE""
  git config --global difftool.prompt false

Thanks,
Eric